# mammos-mumag

`mammos-mumag` is a finite-element micromagnetic simulation tool capable of simulating hysteresis loops of magnetic materials with multiple grains, developed and maintained by Thomas Schrefl at Zentrum für Modellierung und Simulation, Universität für Weiterbildung Krems.

This package allows users to use the library `mammos_mumag` in Python and includes some useful scripts for the use and development of `mammos-mumag`. On way to install the package would be to execute `pip install .`, but we recommend using [pixi](https://prefix.dev).

| Description   | Badge                                                                                                                                                                                    |
|---------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| Tests         | [![Test package](https://github.com/MaMMoS-project/mammos-mumag/actions/workflows/test.yml/badge.svg)](https://github.com/MaMMoS-project/mammos-mumag/actions/workflows/test.yml)        |
| Linting       | [![pre-commit.ci status](https://results.pre-commit.ci/badge/github/MaMMoS-project/mammos-mumag/main.svg)](https://results.pre-commit.ci/latest/github/MaMMoS-project/mammos-mumag/main) |
| Releases      | [![PyPI version](https://badge.fury.io/py/mammos-mumag.svg)](https://badge.fury.io/py/mammos-mumag)                                                                                      |
| Documentation | [![Documentation](https://img.shields.io/badge/Docs-mammos--project.github.io%2Fmammos-blue)](https://mammos-project.github.io/mammos/index.html)                                        |
| Binder        | [![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/mammos-project/mammos-mumag/latest?urlpath=lab%2Ftree%2Fexamples)                                       |
| License       | [![License](https://img.shields.io/badge/License-MIT-blue.svg)](https://opensource.org/licenses/MIT)                                                                                     |
| DOI           | TODO                                                                                                                                                                                     |


## Try it in the cloud
Try `mammos-mumag` without installing it locally by directly accessing it directly in the cloud
via Binder.

Simply click the badge in the table above to get started.

Sessions are temporary and may time out after a period of inactivity, and any files
created or modified during your session will not be saved.
To avoid losing your work, please remember to download any files you create or edit
before your session ends.

## Documentation

APIs and tutorials are available in the documentation. To access the documentation, use the badge in the table above.

## Installation

To install `mammos-mumag`, you can use `pip install mammos-mumag` inside a Python environment.
For more details refer to the documentation.

## How to cite

TODO

## Acknowledgements

This software has been supported by the European Union’s Horizon Europe research and innovation programme under grant agreement No 101135546 [MaMMoS](https://mammos-project.github.io/).
